TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

SUnitGroup ( seq(elt-ids^int/ord^num) S ) -> grp^abl, map()

### Optional Arguments

Results | elt-ord^rat |  | 1 <= Results <= 2
Raw | elt-alg^boo |  |

### Description

<shortdoc> The group of s-units of the prime ideals given in the sequence S or the factorization of I. </shortdoc>

### Examples

x_o := MaximalOrder(X^2 -2); x_a := 12*x_o; x_f := Factorization(x_a); # by factorizing x_a we get two prime ideals: x_p1 := x_f[1][1]; x_p2 := x_f[2][1]; SUnitGroup([x_p1, x_p2]);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack